
Java Client - Task #4665

Story # 4654 (Closed): Independent review of d1_common_java

Tests contain redundant code.

2014-03-31 16:03 - Dave Vieglais

Status: New Start date: 2014-03-31

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: CLJ-2.0.0   

Story Points:    

Description

Tests contain redundant code.  E.g.

try {

DateTimeMarshaller.deserializeDateToUTC("Tue Aug 6 14:56:20");

} catch (NullPointerException ex) {

nullPointerThrown = true;

}

assertTrue(nullPointerThrown);

Where annotation should simply be:

@Test(expected=java.lang.NullPointerException.class)

- suggest review and refactor of all test code

History

#1 - 2014-10-01 20:43 - Dave Vieglais

- Target version set to Release Backlog
